slepc-3.21.1 2024-04-26
Report Typos and Errors

# STShellSetBackTransform

Sets the routine to be called after the eigensolution process has finished in order to transform back the computed eigenvalues.

### Synopsis

    #include "slepcst.h"
    PetscErrorCode STShellSetBackTransform(ST st,PetscErrorCode (*backtr)(ST st,PetscInt n,PetscScalar *eigr,PetscScalar *eigi))

Logically Collective

### Input Parameters

| st | - the spectral transformation context
| backtr | - the application-provided backtransform routine

### Calling sequence of backtr

     PetscErrorCode backtr(ST st,PetscInt n,PetscScalar *eigr,PetscScalar *eigi)

| st | - the spectral transformation context
| n | - number of eigenvalues to be backtransformed
| eigr | - pointer ot the real parts of the eigenvalues to transform back
| eigi | - pointer ot the imaginary parts

### See Also

STShellSetApply(), STShellSetApplyTranspose()

### Level

advanced

### Location

src/sys/classes/st/impls/shell/shell.c

### Examples

src/eps/tutorials/ex10.c
src/eps/tutorials/ex10f.F90
src/eps/tutorials/ex36.c
Index of all ST routines
Table of Contents for all manual pages
Index of all manual pages